// Code generated by protoc-gen-go-grpc. DO NOT EDIT.

package order_web

import (
	context "context"
	order "gitlab.com/fcpartners/apis/gen/order/v1/order"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

// CancelFastDealItemServiceClient is the client API for CancelFastDealItemService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type CancelFastDealItemServiceClient interface {
	GetCancelFastDealItem(ctx context.Context, in *order.GetCancelFastDealItemRequest, opts ...grpc.CallOption) (*order.GetCancelFastDealItemResponse, error)
	ListCancelFastDealItem(ctx context.Context, in *order.ListCancelFastDealItemRequest, opts ...grpc.CallOption) (*order.ListCancelFastDealItemResponse, error)
	SaveCancelFastDealItem(ctx context.Context, in *order.SaveCancelFastDealItemRequest, opts ...grpc.CallOption) (*order.SaveCancelFastDealItemResponse, error)
}

type cancelFastDealItemServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewCancelFastDealItemServiceClient(cc grpc.ClientConnInterface) CancelFastDealItemServiceClient {
	return &cancelFastDealItemServiceClient{cc}
}

func (c *cancelFastDealItemServiceClient) GetCancelFastDealItem(ctx context.Context, in *order.GetCancelFastDealItemRequest, opts ...grpc.CallOption) (*order.GetCancelFastDealItemResponse, error) {
	out := new(order.GetCancelFastDealItemResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.CancelFastDealItemService/GetCancelFastDealItem", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *cancelFastDealItemServiceClient) ListCancelFastDealItem(ctx context.Context, in *order.ListCancelFastDealItemRequest, opts ...grpc.CallOption) (*order.ListCancelFastDealItemResponse, error) {
	out := new(order.ListCancelFastDealItemResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.CancelFastDealItemService/ListCancelFastDealItem", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *cancelFastDealItemServiceClient) SaveCancelFastDealItem(ctx context.Context, in *order.SaveCancelFastDealItemRequest, opts ...grpc.CallOption) (*order.SaveCancelFastDealItemResponse, error) {
	out := new(order.SaveCancelFastDealItemResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.CancelFastDealItemService/SaveCancelFastDealItem", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// CancelFastDealItemServiceServer is the server API for CancelFastDealItemService service.
// All implementations must embed UnimplementedCancelFastDealItemServiceServer
// for forward compatibility
type CancelFastDealItemServiceServer interface {
	GetCancelFastDealItem(context.Context, *order.GetCancelFastDealItemRequest) (*order.GetCancelFastDealItemResponse, error)
	ListCancelFastDealItem(context.Context, *order.ListCancelFastDealItemRequest) (*order.ListCancelFastDealItemResponse, error)
	SaveCancelFastDealItem(context.Context, *order.SaveCancelFastDealItemRequest) (*order.SaveCancelFastDealItemResponse, error)
	mustEmbedUnimplementedCancelFastDealItemServiceServer()
}

// UnimplementedCancelFastDealItemServiceServer must be embedded to have forward compatible implementations.
type UnimplementedCancelFastDealItemServiceServer struct {
}

func (UnimplementedCancelFastDealItemServiceServer) GetCancelFastDealItem(context.Context, *order.GetCancelFastDealItemRequest) (*order.GetCancelFastDealItemResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetCancelFastDealItem not implemented")
}
func (UnimplementedCancelFastDealItemServiceServer) ListCancelFastDealItem(context.Context, *order.ListCancelFastDealItemRequest) (*order.ListCancelFastDealItemResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListCancelFastDealItem not implemented")
}
func (UnimplementedCancelFastDealItemServiceServer) SaveCancelFastDealItem(context.Context, *order.SaveCancelFastDealItemRequest) (*order.SaveCancelFastDealItemResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SaveCancelFastDealItem not implemented")
}
func (UnimplementedCancelFastDealItemServiceServer) mustEmbedUnimplementedCancelFastDealItemServiceServer() {
}

// UnsafeCancelFastDealItemServiceServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to CancelFastDealItemServiceServer will
// result in compilation errors.
type UnsafeCancelFastDealItemServiceServer interface {
	mustEmbedUnimplementedCancelFastDealItemServiceServer()
}

func RegisterCancelFastDealItemServiceServer(s grpc.ServiceRegistrar, srv CancelFastDealItemServiceServer) {
	s.RegisterService(&CancelFastDealItemService_ServiceDesc, srv)
}

func _CancelFastDealItemService_GetCancelFastDealItem_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.GetCancelFastDealItemRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CancelFastDealItemServiceServer).GetCancelFastDealItem(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.CancelFastDealItemService/GetCancelFastDealItem",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CancelFastDealItemServiceServer).GetCancelFastDealItem(ctx, req.(*order.GetCancelFastDealItemRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _CancelFastDealItemService_ListCancelFastDealItem_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListCancelFastDealItemRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CancelFastDealItemServiceServer).ListCancelFastDealItem(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.CancelFastDealItemService/ListCancelFastDealItem",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CancelFastDealItemServiceServer).ListCancelFastDealItem(ctx, req.(*order.ListCancelFastDealItemRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _CancelFastDealItemService_SaveCancelFastDealItem_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.SaveCancelFastDealItemRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CancelFastDealItemServiceServer).SaveCancelFastDealItem(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.CancelFastDealItemService/SaveCancelFastDealItem",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CancelFastDealItemServiceServer).SaveCancelFastDealItem(ctx, req.(*order.SaveCancelFastDealItemRequest))
	}
	return interceptor(ctx, in, info, handler)
}

// CancelFastDealItemService_ServiceDesc is the grpc.ServiceDesc for CancelFastDealItemService service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var CancelFastDealItemService_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "fcp.order.v1.order_web.CancelFastDealItemService",
	HandlerType: (*CancelFastDealItemServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "GetCancelFastDealItem",
			Handler:    _CancelFastDealItemService_GetCancelFastDealItem_Handler,
		},
		{
			MethodName: "ListCancelFastDealItem",
			Handler:    _CancelFastDealItemService_ListCancelFastDealItem_Handler,
		},
		{
			MethodName: "SaveCancelFastDealItem",
			Handler:    _CancelFastDealItemService_SaveCancelFastDealItem_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "v1/order_web/cancel_fast_deal_item_web.proto",
}
